| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Static Public Member Functions | List of all members
GlsSchematicPolyLineInterconnect Class Reference
Inheritance diagram for GlsSchematicPolyLineInterconnect:

## Public Member Functions
| GlsSchematicPolyLineInterconnect (VertexArray &vertices)
void | SetLineThickness (float val)
float | GetLineThickness (void)
void | SetRoundedCorners (bool val)
bool | GetRoundedCorners (void)
void | SetCornerRadius (float val)
float | GetCornerRadius (void)
void | SetForceExactCornerRadius (bool val)
bool | GetForceExactCornerRadius (void)
void | SetCornerSegments (unsigned int cornerSegments)
unsigned int | GetCornerSegments ()
void | SetInterconnectTextureIndex (int interconnectTextureIndex)
int | GetInterconnectTextureIndex ()
void | SetInterconnectTextureRepeatLength (float interconnectTextureRepeatLength)
float | GetInterconnectTextureRepeatLength ()
void | SetFlowTextureIndex (int flowTextureIndex)
int | GetFlowTextureIndex ()
void | SetFlowTextureRepeatLength (float flowTextureRepeatLength)
float | GetFlowTextureRepeatLength ()
void | SetShowFlow (bool showFlow)
bool | GetShowFlow ()
void | SetFlowRate (float flowRate)
float | GetFlowRate ()
void | SetShowFlowBlink (bool showFlowBlink)
bool | GetShowFlowBlink ()
void | SetFlowBlinkRate (float flowBlinkRate)
float | GetFlowBlinkRate ()
void | SetFlowBlinkStartColor (GlsColor &startColor)
GlsColor | GetFlowBlinkStartColor ()
void | SetFlowBlinkEndColor (GlsColor &endColor)
GlsColor | GetFlowBlinkEndColor ()
Public Member Functions inherited from GLPolygon
| GLPolygon (VertexArray &vertices)
| GLPolygon (VertexArray &vertices, Vector &location)
| GLPolygon (std::vector< Vertex > vertices)
| GLPolygon (std::vector< Vertex > vertices, Vector &location)
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsSchematicPolyLineInterconnect * | CastToGlsSchematicPolyLineInterconnect (DisplayObject *obj)
Static Public Member Functions inherited from GLPolygon
static GLPolygon * | CastToGLPolygon (DisplayObject *obj)

## Additional Inherited Members
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Class that encapsulates a GlsSchematicPolyLineInterconnect.

## Constructor & Destructor Documentation

## ◆ GlsSchematicPolyLineInterconnect()

GlsSchematicPolyLineInterconnect::GlsSchematicPolyLineInterconnect | ( | VertexArray & | vertices | ) |

Constructor.

Creates a GlsSchematicPolyLineInterconnect using the specified vertices.

Parameters

  vertices | The array of vertices to use

## Member Function Documentation

## ◆ CastToGlsSchematicPolyLineInterconnect()

static GlsSchematicPolyLineInterconnect * GlsSchematicPolyLineInterconnect::CastToGlsSchematicPolyLineInterconnect | ( | DisplayObject * | obj | ) |
| static

Casts a display object to a schematic polyline interconnect.

Parameters

  obj | The display object to cast.

## ◆ GetCornerRadius()

float GlsSchematicPolyLineInterconnect::GetCornerRadius | ( | void |  | ) |

Gets the radius of the rounded corners.

Returns
  bool The radius of the rounded corners

## ◆ GetCornerSegments()

unsigned int GlsSchematicPolyLineInterconnect::GetCornerSegments | ( |  | ) |

Get the number of segments used in rounded corners.

Returns
  The number of segments used in rounded corners

## ◆ GetFlowBlinkEndColor()

GlsColor GlsSchematicPolyLineInterconnect::GetFlowBlinkEndColor | ( |  | ) |

Get the flow blink end color.

Returns
  The flow blink end color

## ◆ GetFlowBlinkRate()

float GlsSchematicPolyLineInterconnect::GetFlowBlinkRate | ( |  | ) |

Get the flow blink rate in Hz.

Returns
  The flow blink rate in Hz

## ◆ GetFlowBlinkStartColor()

GlsColor GlsSchematicPolyLineInterconnect::GetFlowBlinkStartColor | ( |  | ) |

Get the flow blink start color.

Returns
  The flow blink start color

## ◆ GetFlowRate()

float GlsSchematicPolyLineInterconnect::GetFlowRate | ( |  | ) |

Get the flow rate in "flow textures" / second.

Returns
  The flow rate in "flow textures" / second

## ◆ GetFlowTextureIndex()

int GlsSchematicPolyLineInterconnect::GetFlowTextureIndex | ( |  | ) |

Get the flow texture index.

Returns
  The flow texture index or NO_TEXTURE if no flow texture

## ◆ GetFlowTextureRepeatLength()

float GlsSchematicPolyLineInterconnect::GetFlowTextureRepeatLength | ( |  | ) |

Get the number of logical units per flow texture repeat.

Returns
  The number of logical units per flow texture repeat

## ◆ GetForceExactCornerRadius()

bool GlsSchematicPolyLineInterconnect::GetForceExactCornerRadius | ( | void |  | ) |

Gets the state of the force exact corner radius flag.

Returns
  bool The state of the force exact corner radius flag

## ◆ GetInterconnectTextureIndex()

int GlsSchematicPolyLineInterconnect::GetInterconnectTextureIndex | ( |  | ) |

Get the interconnect texture index.

Returns
  The interconnect texture index or NO_TEXTURE if no interconnect texture

## ◆ GetInterconnectTextureRepeatLength()

float GlsSchematicPolyLineInterconnect::GetInterconnectTextureRepeatLength | ( |  | ) |

Get the number of logical units per interconnect texture repeat.

Returns
  The number of logical units per interconnect texture repeat

## ◆ GetLineThickness()

float GlsSchematicPolyLineInterconnect::GetLineThickness | ( | void |  | ) |

Gets the line thickness.

Returns
  The line thickness in logical units

## ◆ GetRoundedCorners()

bool GlsSchematicPolyLineInterconnect::GetRoundedCorners | ( | void |  | ) |

Gets the rounded corners flag.

Returns
  bool The state of the rounded corners flag

## ◆ GetShowFlow()

bool GlsSchematicPolyLineInterconnect::GetShowFlow | ( |  | ) |

Get whether or not the flow is displayed.

Returns
  True if flow is shown, else false

## ◆ GetShowFlowBlink()

bool GlsSchematicPolyLineInterconnect::GetShowFlowBlink | ( |  | ) |

Get whether or not the flow blink is displayed.

(NOTE: normal flow is not drawn if flow blink is true)

Returns
  True if flow blink is shown, else false

## ◆ SetCornerRadius()

void GlsSchematicPolyLineInterconnect::SetCornerRadius | ( | float | val | ) |

Sets the rounded corner radius.

Parameters

  val | The new rounded corner radius

## ◆ SetCornerSegments()

void GlsSchematicPolyLineInterconnect::SetCornerSegments | ( | unsigned int | cornerSegments | ) |

Set the number of segments used in rounded corners.

The number of corner segments must be in the range 2 - 100, inclusive.

Parameters

  cornerSegments | Number of segments to use in rounded corners

## ◆ SetFlowBlinkEndColor()

void GlsSchematicPolyLineInterconnect::SetFlowBlinkEndColor | ( | GlsColor & | endColor | ) |

Set the flow blink end color.

Parameters

  endColor | The flow blink end color

## ◆ SetFlowBlinkRate()

void GlsSchematicPolyLineInterconnect::SetFlowBlinkRate | ( | float | flowBlinkRate | ) |

Set the flow blink rate in Hz.

Parameters

  flowBlinkRate | The flow blink rate in Hz

## ◆ SetFlowBlinkStartColor()

void GlsSchematicPolyLineInterconnect::SetFlowBlinkStartColor | ( | GlsColor & | startColor | ) |

Set the flow blink start color.

Parameters

  startColor | The flow blink start color

## ◆ SetFlowRate()

void GlsSchematicPolyLineInterconnect::SetFlowRate | ( | float | flowRate | ) |

Set the flow rate in "flow textures" / second.

Parameters

  flowRate | The flow rate in "flow textures" / second

## ◆ SetFlowTextureIndex()

void GlsSchematicPolyLineInterconnect::SetFlowTextureIndex | ( | int | flowTextureIndex | ) |

Set the flow texture index.

Parameters

  flowTextureIndex | The new flow texture index or NO_TEXTURE for no flow texture

## ◆ SetFlowTextureRepeatLength()

void GlsSchematicPolyLineInterconnect::SetFlowTextureRepeatLength | ( | float | flowTextureRepeatLength | ) |

Set the number of logical units per flow texture repeat.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  flowTextureRepeatLength | The new flow texture repeat length

Precondition
  flowTextureRepeatLength > 0.0f

## ◆ SetForceExactCornerRadius()

void GlsSchematicPolyLineInterconnect::SetForceExactCornerRadius | ( | bool | val | ) |

Sets the force exact corner radius flag.

Parameters

  val | If true, forces rounded corners to use the exact corner radius specified by SetCornerRadius(). A corner that cannot be made with this radius will not be rounded.

## ◆ SetInterconnectTextureIndex()

void GlsSchematicPolyLineInterconnect::SetInterconnectTextureIndex | ( | int | interconnectTextureIndex | ) |

Set the interconnect texture index.

Parameters

  interconnectTextureIndex | New interconnect texture index or NO_TEXTURE for no interconnect texture

## ◆ SetInterconnectTextureRepeatLength()

void GlsSchematicPolyLineInterconnect::SetInterconnectTextureRepeatLength | ( | float | interconnectTextureRepeatLength | ) |

Set the number of logical units per interconnect texture repeat.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  interconnectTextureRepeatLength | The new interconnect texture repeat length

Precondition
  interconnectTextureRepeatLength > 0.0f

## ◆ SetLineThickness()

void GlsSchematicPolyLineInterconnect::SetLineThickness | ( | float | val | ) |

Sets the line thickness.

Parameters

  val | The new line thickness in logical units

## ◆ SetRoundedCorners()

void GlsSchematicPolyLineInterconnect::SetRoundedCorners | ( | bool | val | ) |

Sets the rounded corners flag.

Parameters

  val | The new rounded corners flag state

## ◆ SetShowFlow()

void GlsSchematicPolyLineInterconnect::SetShowFlow | ( | bool | showFlow | ) |

Set whether or not the flow is displayed.

Parameters

  showFlow | True to show flow, else false

## ◆ SetShowFlowBlink()

void GlsSchematicPolyLineInterconnect::SetShowFlowBlink | ( | bool | showFlowBlink | ) |

Set whether or not the flow blink is displayed.

(NOTE: normal flow is not drawn if flow blink is true)

Parameters

  showFlowBlink | True to show flow blink, else false

The documentation for this class was generated from the following file:

- gls_schematic_poly_line_interconnect.i